image: php:8.2

pipelines:
  default:
    - step:
        name: Deploy to Live Server
        caches:
          - composer
        script:
          - apt-get update && apt-get install -y rsync openssh-client
          - >
            rsync -az --delete -e "ssh -p 33221"
            --no-perms --no-owner --no-group --no-times
            --exclude='.git'
            --exclude='.gitignore'
            --exclude='node_modules'
            --exclude='tests'
            --exclude='storage/logs/*'
            ./ ubuntu@103.27.234.244:/var/www/floorfactory-staging
